This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 492226 - Nouveau driver doesn't allow logout to command prompt
Nouveau driver doesn't allow logout to command prompt
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-25 19:39 EDT by Graeme Hilton
Modified: 2009-05-20 19:33 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 19:33:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Xorg log (6.26 KB, application/gzip)
2009-03-26 18:24 EDT, Graeme Hilton
no flags Details

  None (edit)
Description Graeme Hilton 2009-03-25 19:39:26 EDT
Description of problem:
Followed Testday[1] procedure and got as far as the tests of logging into runlevel 3 and starting x as a user.
X starts OK and is usable.  Logging out does not return to the command line.  I'm left with the background image, no panels, menus or mouse pointer.  No response to Ctrl-Alt-Backspace or Ctrl-Alt-Fx keys.

Version-Release number of selected component (if applicable):
Used the LiveCD provided for the Testday.

How reproducible:
No time to try again - LiveCD takes ages to boot.

Steps to Reproduce:
1. Append " 3" to the end of the kernel options at boot
2. Login as root, create new user, logout and login as newly created user
3. startx and then log out
4. No return to the command prompt
  
Actual results:
No command prompt, background image remains.

Expected results:
To be dropped back to the command prompt.

Additional info:
Could not check system status remotely as network not connected before "freeze".


[1] https://fedoraproject.org/wiki/QA/Test_Days/2009-03-26#Results
Comment 1 Ben Skeggs 2009-03-25 21:13:02 EDT
Can I grab /var/log/Xorg.0.log while running nouveau please?
Comment 2 Graeme Hilton 2009-03-26 18:24:23 EDT
Created attachment 336922 [details]
Xorg log

Xorg log as requested.  No crash on logout this time.
Comment 3 Ben Skeggs 2009-04-23 18:07:10 EDT
So, this issue is resolved now then?
Comment 4 Adam Williamson 2009-05-20 19:33:39 EDT
no response from reporter for nearly a month, closing as INSUFFICIENT_DATA. Reporter, if this issue is still valid, please do re-open. thanks.

Note You need to log in before you can comment on or make changes to this bug.